> ## Documentation Index
> Fetch the complete documentation index at: https://docs.boxpressd.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get billing status

> Get current application usage, AI credits, and billing actions.

This non-billable route returns the current application billing state.

<ParamField header="x-boxpressd-key" type="string" required>
  Your developer application key.
</ParamField>

<CodeGroup>
  ```bash cURL theme={null}
  curl "https://api.boxpressd.com/v1/billing/status" \
    --header "x-boxpressd-key: $BOXPRESSD_DEVELOPER_API_KEY"
  ```

  ```javascript Fetch theme={null}
  const response = await fetch("https://api.boxpressd.com/v1/billing/status", {
    headers: {
      "x-boxpressd-key": process.env.BOXPRESSD_DEVELOPER_API_KEY,
    },
  });

  const billing = await response.json();
  ```
</CodeGroup>

The response includes the billing subject, application, plan, current period, normalized usage, `aiCredits.remaining`, and hosted management actions. See [Credits and billing](/developer-api/billing) for error handling and credit purchases.
